# DataExchange
TKIGES
IGESData

# IGESData Class Reference

basic description of an IGES Interface

`#include <IGESData.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Init ()
| Prepares General dynamic data used for IGESData specifically : Protocol and Modules, which treat UndefinedEntity .
static Standard_EXPORT Handle_IGESData_Protocol | Protocol ()
| Returns a Protocol from IGESData (avoids to create it) .

## Member Function Documentation

static Standard_EXPORT void IGESData::Init | ( |  | ) | `[static]`

void IGESData::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESData::operator new | ( | size_t | size | ) | `[inline]`

void* IGESData::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_IGESData_Protocol IGESData::Protocol | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- IGESData.hxx